5

This question already has an answer here:

I need to start a project where many tables will be needed. I was going to use tabu, since it seems a rather complete package for typesetting tables.

However, on this site (which I trust) I read that tabu is no longer maintained and should not be used.

Is there a definite answer on this? Being in the "planning" phase, should I discard tabu and consider something else?

thanks

marked as duplicate by Daniel, Svend Tveskæg, Thomas F. Sturm, user13907, barbara beeton Oct 15 '14 at 14:55

This question has been asked before and already has an answer. If those answers do not fully address your question, please ask a new question.

  • Welcome to TeX.SX! tabu last state is from 2010, but this does not mean that it is deprecated. Could you link to some posts where this is stated this way? – user31729 Oct 15 '14 at 12:48
  • 2
    @ChristianHupfer See tex.stackexchange.com/questions/121841/… – Steven B. Segletes Oct 15 '14 at 12:54
  • 1
    I have seen the author on the french list. So he still exists. But I haven't seen any indication that he is working on an update or working on existing bugs. So imho you are simply on your own: you can use the package but if you find a bug you will probably not get help from the author. And you should backup the package so that in the (imho rather improbable) case that an incompatible update appears in the near feature your document doesn't break. – Ulrike Fischer Oct 15 '14 at 13:05
  • 5
    I don't know how much tabu relies of some specific code from other tabular related packages like longtable, array, siunitx, tabularx, colortbl etc. But apart from siunitx all this packages are rather fixed so I don't think that much would happen in this area. But updates mean changes and changes can always "awake" bugs. This is not confined to tabu. – Ulrike Fischer Oct 15 '14 at 13:27
  • 1
    Indeed, using siunitx internals could be problematic: I am working on a new version with revised code, and I specifically do not guarantee any internals in the code (the new version will have defined code-level interfaces for others to use). – Joseph Wright Oct 15 '14 at 15:00

Browse other questions tagged or ask your own question.